commit: 29d1bef34e1182d771c4150a0720cca3ea4ed43e
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 1 13:37:23 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jan 1 13:38:13 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29d1bef3
net-analyzer/tcpslice: Version 1.2a_p3_p4
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild | 40 ++++++++++++++++++++++++
1 file changed, 40 insertions(+)
diff --git a/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild
b/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild
new file mode 100644
index 00000000000..c348b112eb3
--- /dev/null
+++ b/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic
+
+MY_P="${PN}_$(ver_cut 1).$(ver_cut 2-3)$(ver_cut 5)"
+
+DESCRIPTION="Extract and concatenate portions of pcap files"
+HOMEPAGE="http://www.tcpdump.org/
https://github.com/the-tcpdump-group/tcpslice"
+LICENSE="BSD"
+SLOT="0"
+SRC_URI="
+ mirror://debian/pool/main/${PN:0:1}/${PN}/${MY_P}.orig.tar.gz
+ mirror://debian/pool/main/${PN:0:1}/${PN}/${MY_P}-$(ver_cut
7).debian.tar.gz
+"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="
+ net-libs/libpcap
+"
+DEPEND="
+ ${RDEPEND}
+"
+S=${WORKDIR}/${MY_P/_/-}
+
+src_prepare() {
+ eapply \
+ "${WORKDIR}"/debian/patches/[0-]* \
+ "${FILESDIR}"/${PN}-1.2a_p3-exit.patch
+ eapply_user
+ sed -i -e 's|ifndef lint|if 0|g' *.c || die
+ eautoconf
+}
+
+src_install() {
+ dosbin tcpslice
+ doman tcpslice.1
+ dodoc README
+}